create table address (
	addressid integer not null,
	address1 varchar(30) not null,
	address2 varchar(30),
	town varchar(30) not null,
	county varchar(25) not null,
	postcode varchar(9) not null,
	primary key (addressid)
);

create table customer (
	custid integer not null,
	surname varchar(30) not null,
	forename varchar(30) not null,
	phone varchar(20),
	addressid integer not null,
	primary key (custid),
	foreign key (addressid) references address(addressid)
);

create table orders (
	orderid integer not null,
	description varchar(80) not null,
	primary key (orderid)
);

create table cust_order (
	custid integer not null,
	orderid integer not null,
	foreign key (custid) references customer(custid),
	foreign key (orderid) references orders(orderid)
);
commit;

grant select on customer to user1;
grant select on address to user1;
grant select on orders to user1;
grant select on cust_order to user1;
